Create Workspace Folder
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"parentFolderId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders"
payload = {
"name": "",
"parentFolderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '', parentFolderId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folder": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
}Folders
Create Folder
Create a folder in a workspace.
POST
/
v3
/
workspaces
/
{workspaceId}
/
folders
Create Workspace Folder
curl --request POST \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "",
"parentFolderId": "<string>"
}
'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders"
payload = {
"name": "",
"parentFolderId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '', parentFolderId: '<string>'})
};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folder": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Default Response
Show child attributes
Show child attributes